libxml++ 2.35.3

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
xmlpp::AttributeDeclaration Class Reference

Represents the default value of an attribute of an XML Element node. More...

`#include <libxml++/attributedeclaration.h>`

Inheritance diagram for xmlpp::AttributeDeclaration:
[legend]
Collaboration diagram for xmlpp::AttributeDeclaration:
[legend]

List of all members.

## Public Member Functions

| AttributeDeclaration (_xmlNode* node)
virtual | ~AttributeDeclaration ()
Glib::ustring | get_value () const
| Get the default value of this attribute.
_xmlAttribute* | cobj ()
| Access the underlying libxml implementation.
const _xmlAttribute* | cobj () const
| Access the underlying libxml implementation.

## Detailed Description

Represents the default value of an attribute of an XML Element node.

This will be instantiated by the parser.

Since libxml++ 2.36:

## Constructor & Destructor Documentation

xmlpp::AttributeDeclaration::AttributeDeclaration | ( | _xmlNode * | node | ) | `[explicit]`

virtual xmlpp::AttributeDeclaration::~AttributeDeclaration | ( |  | ) | `[virtual]`

## Member Function Documentation

_xmlAttribute* xmlpp::AttributeDeclaration::cobj | ( |  | ) |

Access the underlying libxml implementation.

Reimplemented from xmlpp::Attribute.

const _xmlAttribute* xmlpp::AttributeDeclaration::cobj | ( |  | ) | const

Access the underlying libxml implementation.

Reimplemented from xmlpp::Attribute.

Glib::ustring xmlpp::AttributeDeclaration::get_value | ( |  | ) | const

Get the default value of this attribute.

Returns:
  The attribute's default value.

Reimplemented from xmlpp::Attribute.

The documentation for this class was generated from the following file:

- attributedeclaration.h